;************************************************************************ 
; TITLE:                ST72254.INC
; DESCRIPTION:          ST72254 Register and memory mapping 
;************************************************************************;*********************************************************************
  
        EXTERN PCDR.b              ; port C data register
        EXTERN PCDDR.b             ; port C data direction register
        EXTERN PCOR.b              ; port C option register

        EXTERN PBDR.b              ; port B data register
        EXTERN PBDDR.b             ; port B data direction register
        EXTERN PBOR.b              ; port B option register
                            
        EXTERN PADR.b              ; port A data register
        EXTERN PADDR.b             ; port A data direction register
        EXTERN PAOR.b              ; port A option register        
                            

;**********************************************************************
;                        Miscellaneous register 1
;**********************************************************************
   
        EXTERN MISCR1.b             ; miscellaneous register

;**********************************************************************
;                        SPI  registers
;**********************************************************************

        EXTERN SPIDR.b             ; SPI data register
        EXTERN SPICR.b             ; SPI control register
        EXTERN SPISR.b             ; SPI status register

;**********************************************************************
;                        Watchdog register
;**********************************************************************

        EXTERN WDGCR.b              ; watchdog register

;**********************************************************************
;                        Clock Reset Module register
;**********************************************************************

        EXTERN CRSR.b          ; Clock Reset Control/status register
         

;**********************************************************************
;                        I2C registers
;**********************************************************************

        EXTERN I2CCR.b             ; i2c control register
        EXTERN I2CSR1.b            ; i2c status register 1
        EXTERN I2CSR2.b            ; i2c status register 2
        EXTERN I2CCCR.b            ; i2c clock control register 
        EXTERN I2COAR1.b           ; i2c own add register 1
        EXTERN I2COAR2.b           ; i2c own add register 2
        EXTERN I2CDR.b             ; i2c data register 

          

;**********************************************************************
;                        timer A registers
;**********************************************************************
    
        EXTERN TACR2.b         ; timer A control register 2
        EXTERN TACR1.b         ; timer A control register 1
        EXTERN TASR.b          ; timer status register
        EXTERN TAIC1HR.b       ; timer A input capture 1 high register 
        EXTERN TAIC1LR.b       ; timer A input capture 1 low register
        EXTERN TAOC1HR.b       ; timer A output compare 1 high register
        EXTERN TAOC1LR.b       ; timer A output compare 1 low register
        EXTERN TACHR.b         ; timer A counter high register
        EXTERN TACLR.b         ; timer A counter low register
        EXTERN TAACHR.b        ; timer A alternate counter high register
        EXTERN TAACLR.b        ; timer A alternate counter low register
        EXTERN TAIC2HR.b       ; timer A input capture 2 high register 
        EXTERN TAIC2LR.b       ; timer A input capture 2 low register
        EXTERN TAOC2HR.b       ; timer A output compare 2 high register
        EXTERN TAOC2LR.b       ; timer A output compare 2 low register


;**********************************************************************
;                        Miscellaneous register 2
;**********************************************************************
   
        EXTERN MISCR2.b        ; miscellaneous register 2

;**********************************************************************
;                        timer B registers
;**********************************************************************

        EXTERN TBCR2.b         ; timer B control register 2
        EXTERN TBCR1.b         ; timer B control register 1
        EXTERN TBSR.b          ; timer B status register
        EXTERN TBIC1HR.b       ; timer B input capture 1 high register 
        EXTERN TBIC1LR.b       ; timer B input capture 1 low register
        EXTERN TBOC1HR.b       ; timer B output compare 1 high register
        EXTERN TBOC1LR.b       ; timer B output compare 1 low register
        EXTERN TBCHR.b         ; timer B counter high register
        EXTERN TBCLR.b         ; timer B counter low register
        EXTERN TBACHR.b        ; timer B alternate counter high register
        EXTERN TBACLR.b        ; timer B alternate counter low register
        EXTERN TBIC2HR.b       ; timer B input capture 2 high register 
        EXTERN TBIC2LR.b       ; timer B input capture 2 low register
        EXTERN TBOC2HR.b       ; timer B output compare 2 high register
        EXTERN TBOC2LR.b       ; timer B output compare 2 low register

    
;**********************************************************************
;                       ADC registers
;**********************************************************************

        EXTERN ADCDR.b             ; adc data register
        EXTERN ADCCSR.b            ; adc control status register


      
        
