st7/

;*******************************************************************************
;	ADC.ASM
;*******************************************************************************
;	SofTec Microsystems 2001
;*******************************************************************************
;	This program configures the A/D peripheral to convert on A/D channel 7
;	(PD7, connected to the potentiometer) and displays the results on the LEDs
;	on PB. Make sure that all of the "LED ENABLE" jumpers and the
;	"POTENTIOMETER ENABLE" jumpers are inserted.
;*******************************************************************************

	TITLE	"ADC.ASM"
	MOTOROLA
	#INCLUDE "st72334.inc"		; ST72C334 registers and memory mapping file

;*******************************************************************************
;	Program entry
;*******************************************************************************

	WORDS
	segment 'rom'

.main	
	rim
	call	init				; port initialization
.wait	
	btjf 	ADCCSR, #7, wait	; waits for the end of the conversion
	ld		A, ADCDR			; reads the ADCDR register
	ld		PBDR, A				; writes this value on port B
	jra		wait				; forever

;*******************************************************************************
;	Port initialization
;*******************************************************************************

.init	
	ld		A, #$FF
	ld		PBDDR, A			; configures port B as output
	ld		PBOR, A 
	ld		A, #$27				; enables the A/D peripheral on AIN7/PD7
	ld		ADCCSR, A
	ret

;*******************************************************************************

	segment 'vectit'

	DC.W	0					; FFE0-FFE1h
	DC.W	0					; FFE2-FFE3h
	DC.W	0					; FFE4-FFE5h
	DC.W	0					; FFE6-FFE7h
	DC.W	0					; FFE8-FFE9h
	DC.W	0					; FFEA-FFEBh
	DC.W	0					; FFEC-FFEDh
	DC.W	0					; FFEE-FFEFh
	DC.W	0					; FFF0-FFF1h
	DC.W	0					; FFF2-FFF3h
	DC.W	0					; FFF4-FFF5h
	DC.W	0					; FFF6-FFF7h
	DC.W	0					; FFF8-FFF9h
	DC.W	0					; FFFA-FFFBh
	DC.W	0					; FFFC-FFFDh
	DC.W	main				; FFFE-FFFFh

	END

