st7/

;*******************************************************************************
;	DEMO.ASM
;*******************************************************************************
;	SofTec Microsystems 2001
;*******************************************************************************
;	This program performs a general test of the IDB-ST7C334 demo board. Before
;	to run the program, make sure that all of the "LED ENABLE", "POTENTIOMETER
;	ENABLE", "SW ENABLE" and "PD7 ENABLE" jumpers are inserted.
;	When the program is running:
;	1. The dip-switch status is displayed on the LEDs;
;	2. When the PD0 push button is pressed, the value read from the
;	   potentiometer is displayed on the LEDs.
;*******************************************************************************

	TITLE	"DEMO.ASM"
	MOTOROLA
	#INCLUDE "st72334.inc"		; ST72C334 registers and memory mapping file
 
;*******************************************************************************
;	Program entry
;*******************************************************************************

	WORDS
	segment 'rom'  
		
.main
	call	init				; port initialization
	rim							; enables interrupts
.main10
	btjt	PDDR, #0, main20	; dip-switch test
	call	t_adc				; A/D test
	jra		main10
.main20
	callr	t_switch
	jra		main10

;*******************************************************************************
;	A/D test
;*******************************************************************************
;	Reads the A/D channel connected to the potentiometer and displays the
;	result on the LEDs, in a bar-like way
;*******************************************************************************

.t_adc
	btjf	ADCCSR, #7, *
	ld		A, ADCDR
	clr		X
.t_adc10
	sub		A, #$1F
	jrc		t_adc20
	scf	
	rlc		X
	jra		t_adc10
.t_adc20	
	ld		PBDR,X
	ret

;*******************************************************************************
;	Dip switch test
;*******************************************************************************

.t_switch	
    ld		A,PADR
    ld      PBDR,A
	ret	

;*******************************************************************************
;	Port initialization
;*******************************************************************************

.init	
	ld		A, #$FF
	ld		PBDDR, A			; configures port B as output
	ld		PBOR, A 
	ld		A, #$27				; enables the A/D peripheral on PD7
	ld		ADCCSR, A
	ret

;*******************************************************************************

int_catch	iret

;*******************************************************************************

	segment 'vectit'

	DC.W	int_catch		; FFE0-FFE1h location
	DC.W	int_catch		; FFE2-FFE3h location
	DC.W	int_catch		; FFE4-FFE5h location
	DC.W	int_catch		; FFE6-FFE7h location
	DC.W	int_catch		; FFE8-FFE9h location
	DC.W	int_catch		; FFEA-FFEBh location
	DC.W	int_catch		; FFEC-FFEDh location
	DC.W	int_catch		; FFEE-FFEFh location
	DC.W	int_catch		; FFF0-FFF1h location
	DC.W	int_catch		; FFF2-FFF3h location
	DC.W	int_catch		; FFF4-FFF5h location
	DC.W	int_catch		; FFF6-FFF7h location
	DC.W	int_catch		; FFF8-FFF9h location
	DC.W	int_catch		; FFFA-FFFBh location
	DC.W	int_catch		; FFFC-FFFDh location
	DC.W	main			; FFFE-FFFFh location

	END
