;************************************************************************ 
; TITLE:                ST72334.INC
; AUTHOR:               CMG Microcontroller Applications Team
; DESCRIPTION:          ST72334 Register and memory mapping 
;************************************************************************;*********************************************************************
  
        EXTERN PADR.b              ; port A data register
        EXTERN PADDR.b             ; port A data direction register
        EXTERN PAOR.b              ; port A option register        
        
        EXTERN PCDR.b              ; port C data register
        EXTERN PCDDR.b             ; port C data direction register
        EXTERN PCOR.b              ; port C option register

        EXTERN PBDR.b              ; port B data register
        EXTERN PBDDR.b             ; port B data direction register
        EXTERN PBOR.b              ; port B option register
                                                        
        EXTERN PEDR.b              ; port E data register
        EXTERN PEDDR.b             ; port E data direction register        
        EXTERN PEOR.b              ; port E option register

        EXTERN PDDR.b              ; port D data register
        EXTERN PDDDR.b             ; port D data direction register        
        EXTERN PDOR.b              ; port D option register
        
        EXTERN PFDR.b              ; port F data register
        EXTERN PFDDR.b             ; port F data direction register         
        EXTERN PFOR.b              ; port F option register

        


;**********************************************************************
;                        Miscellaneous 1 register
;**********************************************************************
   
        EXTERN MISCR1.b        ; miscellaneous register

;**********************************************************************
;                        SPI  registers
;**********************************************************************

        EXTERN SPIDR.b         ; SPI data register
        EXTERN SPICR.b         ; SPI control register
        EXTERN SPISR.b         ; SPI status register



;**********************************************************************
;                        Main Clock register
;**********************************************************************

        EXTERN MCCSR.b        
        
;**********************************************************************
;                        Watchdog register
;**********************************************************************

        EXTERN WDGCR.b         ; watchdog register
		  EXTERN CRSR.b			 ; clock, reset, supply control/status register
        
;**********************************************************************
;                        EEPROM register
;**********************************************************************

    	  EXTERN EECSR.b         ; Data-EEPROM control/status register
	         
;**********************************************************************
;                        timer A registers
;**********************************************************************
    
        EXTERN TACR2.b         ; timer A control register 2
        EXTERN TACR1.b         ; timer A control register 1
        EXTERN TASR.b          ; timer status register
        EXTERN TAIC1HR.b       ; timer A input capture 1 high register 
        EXTERN TAIC1LR.b       ; timer A input capture 1 low register
        EXTERN TAOC1HR.b       ; timer A output compare 1 high register
        EXTERN TAOC1LR.b       ; timer A output compare 1 low register
        EXTERN TACHR.b         ; timer A counter high register
        EXTERN TACLR.b         ; timer A counter low register
        EXTERN TAACHR.b        ; timer A alternate counter high register
        EXTERN TAACLR.b        ; timer A alternate counter low register
        EXTERN TAIC2HR.b       ; timer A input capture 2 high register 
        EXTERN TAIC2LR.b       ; timer A input capture 2 low register
        EXTERN TAOC2HR.b       ; timer A output compare 2 high register
        EXTERN TAOC2LR.b       ; timer A output compare 2 low register

;**********************************************************************
;                        Miscellaneous 2 register
;**********************************************************************
   
        EXTERN MISCR2.b        ; miscellaneous register

;**********************************************************************
;                        timer B registers
;**********************************************************************

        EXTERN TBCR2.b         ; timer B control register 2
        EXTERN TBCR1.b         ; timer B control register 1
        EXTERN TBSR.b          ; timer B status register
        EXTERN TBIC1HR.b       ; timer B input capture 1 high register 
        EXTERN TBIC1LR.b       ; timer B input capture 1 low register
        EXTERN TBOC1HR.b       ; timer B output compare 1 high register
        EXTERN TBOC1LR.b       ; timer B output compare 1 low register
        EXTERN TBCHR.b         ; timer B counter high register
        EXTERN TBCLR.b         ; timer B counter low register
        EXTERN TBACHR.b        ; timer B alternate counter high register
        EXTERN TBACLR.b        ; timer B alternate counter low register
        EXTERN TBIC2HR.b       ; timer B input capture 2 high register 
        EXTERN TBIC2LR.b       ; timer B input capture 2 low register
        EXTERN TBOC2HR.b       ; timer B output compare 2 high register
        EXTERN TBOC2LR.b       ; timer B output compare 2 low register

    
;**********************************************************************
;                       SCI registers
;**********************************************************************
        EXTERN SCISR.b         ; sci status register    
        EXTERN SCIDR.b         ; sci data register
        EXTERN SCIBRR.b        ; sci baud rate register    
        EXTERN SCICR1.b        ; sci control register 1
        EXTERN SCICR2.b        ; sci control register 2
        EXTERN SCIERPR.b       ; sci extended receive prescaler register
        EXTERN SCIETPR.b       ; sci extended transmit prescaler register


;**********************************************************************
;                       ADC registers
;**********************************************************************

        EXTERN ADCDR.b         ; adc data register
        EXTERN ADCCSR.b        ; adc control status register


      
        
